# Ogre::StaticGeometry::QueuedGeometry Struct Reference

Structure recording a queued geometry for low level builds. More...

`#include <OgreStaticGeometry.h>`

List of all members.

## Public Attributes

SubMeshLodGeometryLink * | geometry
Vector3 | position
Quaternion | orientation
Vector3 | scale

## Detailed Description

Structure recording a queued geometry for low level builds.

Definition at line 159 of file OgreStaticGeometry.h.

## Member Data Documentation

SubMeshLodGeometryLink* Ogre::StaticGeometry::QueuedGeometry::geometry

| Definition at line 161 of file OgreStaticGeometry.h.

Quaternion Ogre::StaticGeometry::QueuedGeometry::orientation

| Definition at line 163 of file OgreStaticGeometry.h.

Vector3 Ogre::StaticGeometry::QueuedGeometry::position

| Definition at line 162 of file OgreStaticGeometry.h.

Vector3 Ogre::StaticGeometry::QueuedGeometry::scale

| Definition at line 164 of file OgreStaticGeometry.h.

The documentation for this struct was generated from the following file:

- OgreStaticGeometry.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:40:25 2005